PIP3-LOCK(1)

NAME
pip3-lock - description of pip3 lock command

DESCRIPTION

EXPERIMENTAL - Lock packages and their dependencies from:

    •   PyPI (and other indexes) using requirement specifiers.

    •   VCS project urls.

    •   Local project directories.

    •   Local or remote source archives.

pip also supports locking from "requirements files", which provide an easy way to specify a whole environment to be installed.

The generated lock file is only guaranteed to be valid for the current python version and platform.

USAGE

            python -m pip lock [options] [-e] <local project path> ...
            python -m pip lock [options] <requirement specifier> [package-index-options] ...
            python -m pip lock [options] -r <requirements file> [package-index-options] ...
            python -m pip lock [options] <archive url/path> ...

OPTIONS

    -o, --output <path>
        Lock file name (default=pylock.toml). Use - for stdout.

        (environment variable: PIP_OUTPUT)

    -r, --requirement <file>
        Install from the given requirements file. The file or URL can be in pip's requirements.txt format, or pylock.toml format. pylock.toml support is experimental. This option can be used multiple times.

        (environment variable: PIP_REQUIREMENT)

    --requirements-from-script <file>
        Install dependencies of the given script file as defined by PEP 723 inline metadata.

        (environment variable: PIP_REQUIREMENTS_FROM_SCRIPT)

    -c, --constraint <file>
        Constrain versions using the given constraints file. This option can be used multiple times.

        (environment variable: PIP_CONSTRAINT)

    --build-constraint <file>
        Constrain build dependencies using the given constraints file. This option can be used multiple times.

        (environment variable: PIP_BUILD_CONSTRAINT)

    --no-deps
        Don't install package dependencies.

        (environment variable: PIP_NO_DEPS, PIP_NO_DEPENDENCIES)

    -e, --editable <path/url>
        Install a project in editable mode (i.e. setuptools "develop mode") from a local project path or a VCS url.

        (environment variable: PIP_EDITABLE)

    --src <dir>
        Directory to check out editable projects into. The default in a virtualenv is "<venv path>/src". The default for global installs is "<current dir>/src".

        (environment variable: PIP_SRC, PIP_SOURCE, PIP_SOURCE_DIR, PIP_SOURCE_DIRECTORY)

    --ignore-requires-python
        Ignore the Requires-Python information.

        (environment variable: PIP_IGNORE_REQUIRES_PYTHON)

    --no-build-isolation
        Disable isolation when building a modern source distribution. Build dependencies specified by PEP 518 must be already installed if this option is used.

        (environment variable: PIP_NO_BUILD_ISOLATION)

    --check-build-dependencies
        Check the build dependencies.

        (environment variable: PIP_CHECK_BUILD_DEPENDENCIES)

    -C, --config-settings <settings>
        Configuration settings to be passed to the build backend. Settings take the form KEY=VALUE. Use multiple --config-settings options to pass multiple keys to the backend.

        (environment variable: PIP_CONFIG_SETTINGS)

    --require-hashes
        Require a hash to check each requirement against, for repeatable installs. This option is implied when any package in a requirements file has a --hash option.

        (environment variable: PIP_REQUIRE_HASHES)

    --progress-bar <progress_bar>
        Specify whether the progress bar should be used. In 'auto' mode, --quiet will suppress all progress bars. [auto, on, off, raw] (default: auto)

        (environment variable: PIP_PROGRESS_BAR)

    --group <[path:]group>
        Install a named dependency-group from a "pyproject.toml" file. If a path is given, the name of the file must be "pyproject.toml". Defaults to using "pyproject.toml" in the current directory.

        (environment variable: PIP_GROUP)

    --no-clean
        Don't clean up build directories.

        (environment variable: PIP_NO_CLEAN)

Author
pip developers

Copyright
The pip developers